Subject: FSM issue 26

From: "Susan Hares" <[email-masked]>
Date: Thu, 20 Feb 2003 11:03:14 -0500

Siva:

On your request to: 

>
>   a) Add 3 new events : 1) Manual start with bgp_stop flap option set
>                         2) Manual start with passive TCP establishment
>                            and bgp_stop_flap option set
>                         3) Automatic start with passive TCP establishment
>                            and bgp_stop_flap option set
>

Events 1 and 2: 

Let me clarify "not feasible":

We have the following options 
	1) Delay Open flag
	2) Automatic Start flag
	3) Passive TCP Establishment Flag
	4) BGP stop_peer_flap flag
	5) automatic stop flag
	6) Perform Collision detect in Established mode
	7) Accept connections from un-configured peers

If we create an Manual start event with all of these options,
we will expand the state machine dramatically.

The two specified options:

	1) Manual start with no Passive TCP Establishment Flag set 
	2) Manual start with Passive TCP Establishment Flag

Are you looking for a clarification of Event 1?  If so, please
confirm this text is acceptable to add to Event 1: 

	"If the optional Passive TCP Establishment flag and
	 the optional Event 4 is supported, the Passive
	 TCP Establishment Flag should not be set in Event 1."

Please confirm that this is sufficient for events 1 and 2. 

===========

Part 2: new-event 3: 
		Automatic Start with Passive TCP Establishment
		and bgp_stop_flag flag set 

The Automatic start events are:

Event 3:  Automatic start 
		1) No passive flag set
		2) No bgp stop_peer_flap flag set
	
Event 5:  Automatic start with Passive TCP Establishment state state
		1) No bgp stop_peer_flap flag set
	
Event 6:  Automatic start & BGP stop_peer_flap flag set
		
I will revise Event 6 and add a new Event 7 and rename
all other events 1 down.  

Here's the new automatic start events:

Event 3:  Automatic start
		1) Passive TCP Establishment flag is not set
		2) BGP stop_peer_flap flag is not set

Event 5:   Automatic start iwth Passive TCP Establishment flag set
		1) BGP stop_peer_flap flag is not set

Event 6:   Automatic start & BGP stop peer flap flag is set
		1) Passive TCP Establishment flag is not set

Event 7:   Automatic start & BGP stop_peer_flap & passive TCP

		The following flags are set:
		1) Perform automatic start flag
		2) BGP stop_peer_flap flag is set
		3) Passicve TCP establishment flag is set

The current event 7 will be renumbered to Event 8.

Event 8 will be Moved to event 13.
Events 13-27 will be renumbered to 14-28.

Please confirm that you agree to this change and that we have
consensus at this point.

Sue Hares

Siva's comments: 
===========
>
>   a) Add 3 new events : 1) Manual start with bgp_stop flap option set
>                         2) Manual start with passive TCP establishment
>                            and bgp_stop_flap option set
>                         3) Automatic start with passive TCP establishment
>                            and bgp_stop_flap option set
>

-----Original Message-----
From: Sivananda Ramnath - CTD, Chennai. [mailto:[email-masked]]
Sent: Wednesday, February 12, 2003 5:06 AM
To: Susan Hares
Cc: Sivananda Ramnath (E-mail)
Subject: Comments on FSM Issues

Hello,

My comments on open issues as per 2.2 of issue list:

++ Issue 26 ++

>   We already have
>   Event 3 - Automatic Start
>   Event 5 - Automatic start with bgp_stop_flap option set
>   To make things consistent, shouldn't we either
>
>   a) Add 3 new events : 1) Manual start with bgp_stop flap option set
>                         2) Manual start with passive TCP establishment
>                            and bgp_stop_flap option set
>                         3) Automatic start with passive TCP establishment
>                            and bgp_stop_flap option set
>
>   or
>  
>   b) Remove Event 6, and rely on a flag to tell us whether peer flap
damping
>      is to be performed for the session or not.
>
> Sue said she preferred option A.  And stated that #1 & #2 are infeasible,
> but that we need to add #3.

    I don't understand why #1 and #2 are unfeasible.

    Also, because we have the stop_flap as an optional session attribute, I
think we are better of reducing the number of events. If that is
unacceptable, I am OK with adding the events. However, I do think #1 and #2
need to be incorporated in some fashion.